View Issue Details

IDProjectCategoryView StatusLast Update
0000595FreeCADBugpublic2012-02-28 16:23
ReportergafvertAssigned To 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version0.12 
Target VersionFixed in Version0.13 
Summary0000595: Turntable rotation inverted
DescriptionI greatly appreciate the introduction of more navigation/rotation modes in 0.12, this is a very important feature to me, and a key reason. As I'm used to working in blender I also like the fact that you've introduced a blender-mode.

However, the turn-table rotation mode is inverted in the horizontal when compared to the blender standard. Either change it, or if some people like it this way, add an "invert horizontal rotation" option, like the "invert zoom" one.

Also, since this is such an important part of the application, I would recommend you let the user freely customize the navigation mouse settings. With presets like the ones you have now, but with the additional choice for setting any mouse button with any modifier key for each of selection, rotation, zooming and panning. I cannot stress enough how important it is to have this work exactly the way the user wants it.
TagsNo tags attached.

Activities

wmayer

2012-02-27 20:10

administrator   ~0001674

> However, the turn-table rotation mode is inverted in the horizontal when compared to the blender standard. Either change it, or if some people like it this way, add an "invert horizontal rotation" option, like the "invert zoom" one.

With horizontal rotating you mean the MMB pressed and moved, right? When I compare this with Blender I see no difference on how the view camera is moved.

gafvert

2012-02-27 21:06

reporter   ~0001675

Yes, horizontal rotation when dragging with the middle mouse button. After using it some more, I found out that it wasn't reversed all the time, like you said.

Testing it a little further now revealed that it's quite simple, just turn the model upside down (rotating dragging vertically) and you'll get reversed rotation when rotating dragging horizontally.

wmayer

2012-02-28 16:23

administrator   ~0001677

Fixed in git commit ec31dba6ea0b99c749d96d6389ab71622c233403

Issue History

Date Modified Username Field Change
2012-02-08 11:57 gafvert New Issue
2012-02-27 20:10 wmayer Note Added: 0001674
2012-02-27 21:06 gafvert Note Added: 0001675
2012-02-28 16:23 wmayer Note Added: 0001677
2012-02-28 16:23 wmayer Status new => closed
2012-02-28 16:23 wmayer Resolution open => fixed
2012-02-28 16:23 wmayer Fixed in Version => 0.13